org.codehaus.groovy.control

## Class SourceExtensionHandler

- java.lang.Object
- - org.codehaus.groovy.control.SourceExtensionHandler

    public class SourceExtensionHandler
    extends Object

Looks for source file extensions in META-INF/services/org.codehaus.groovy.source.Extensions

### Constructor Summary

Constructors
Constructor and Description
`SourceExtensionHandler()`

### Method Summary

Methods
`static Set<String>` `getRegisteredExtensions(ClassLoader loader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceExtensionHandler

    public SourceExtensionHandler()

### Method Detail

#### getRegisteredExtensions

    public static Set<String> getRegisteredExtensions(ClassLoader loader)